## ros-noetic-cob-monitoring 0.6.31

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(cob_monitoring)

find_package(catkin REQUIRED COMPONENTS diagnostic_updater roscpp topic_tools)

catkin_python_setup()

catkin_package(
  CATKIN_DEPENDS roscpp topic_tools
)

include_directories(${catkin_INCLUDE_DIRS})

add_executable(topic_status_monitor src/topic_status_monitor.cpp)
target_link_libraries(topic_status_monitor ${catkin_LIBRARIES})

### Install ###
catkin_install_python(PROGRAMS
          src/battery_monitor.py
          src/cpu_monitor.py
          src/ddwrt.py
          src/emergency_stop_monitor.py
          src/hd_monitor.py
          src/hz_monitor.py
          src/net_monitor.py
          src/ntp_monitor.py
          src/wifi_monitor.py
          src/wlan_monitor.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(TARGETS topic_status_monitor
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-noetic-cob-monitoring (0.6.31-1buster) buster; urgency=high

  * Merge pull request #327 <https://github.com/ipa320/cob_command_tools/issues/327> from Deleh/fix/emergency_stop_monitor
    Collect only error and stale messages as errors
  * collect only error and stale messages as errors
  * Merge pull request #326 <https://github.com/ipa320/cob_command_tools/issues/326> from fmessmer/debug/netdata
    fix netdata queries
  * fix pylint
  * fix return types
  * harmonize Exception handling of cpu_monitor
  * raise error when netdata request failed; show failed chart names
  * include url in loginfo
  * Merge pull request #325 <https://github.com/ipa320/cob_command_tools/issues/325> from Deleh/fix/ntp_monitor
    Fix NTP monitor
  * decode stderr
  * Merge pull request #323 <https://github.com/ipa320/cob_command_tools/issues/323> from pgehring/fix/paramiko_login
    [kevin] disable unsupported algorithms of linksys router
  * fix pylint
  * paramiko version check
  * disable unsupported algorithms of linksys router
  * Contributors: Denis Lehmann, Felix Messmer, Florian Weisshardt, fmessmer, pgehring

 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 03 Jan 2023 23:00:00 -0000

ros-noetic-cob-monitoring (0.6.30-1buster) buster; urgency=high

  * Merge pull request #322 <https://github.com/ipa320/cob_command_tools/issues/322> from Deleh/fix/wlan_monitor_diagnostics
    Set diagnostic level to ERROR on exception
  * harmonization
  * set diagnostic level to ERROR on exception
  * Merge pull request #321 <https://github.com/ipa320/cob_command_tools/issues/321> from LoyVanBeek/fix/netdata_based_diagnostics
    Fix/netdata based diagnostics
  * Split CPU load diagnostics from uptime stats
  * Try both spellings of core temp module name
  * fixing crashed thread if netdata data was malformed and make netdata module name for core temps in api calls configurable
  * Contributors: Björn Eistel, Denis Lehmann, Felix Messmer, Loy van Beek, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 16 Nov 2022 23:00:00 -0000

ros-noetic-cob-monitoring (0.6.29-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 28 Jul 2022 22:00:00 -0000

ros-noetic-cob-monitoring (0.6.28-1buster) buster; urgency=high

  * Merge pull request #314 <https://github.com/ipa320/cob_command_tools/issues/314> from pgehring/feature/netdata_cpu_monitor
    [diagnostics] aquire all cpu data from netdata
  * compatible format
  * expose netdata_tools errors in diagnostics
  * remove ipmi data aquisition
  * check max clock speed
  * parse netdata dict correctly
  * fix typo
  * pass interval to netdata
  * fix strings in diag_vals
  * parse netdata uptime
  * parse netdata mem and swap util
  * parse netdata cpu_util
  * convert to int
  * fix wrong keyword
  * fix timer interval usage
  * cleanup
  * use cores detected by netdata
  * get memory and swap usage from netdata
  * handle empty netdata reponse correctly
  * fix pylint
  * proper python module for netdata_tools
  * wip
  * move netdata functions to module
  * get core temperature from netdata
  * check cpu utilisation with netdata
  * Contributors: Felix Messmer, fmessmer, pgehring

 -- Felix Messmer <felixmessmer@gmail.com>  Mon, 14 Mar 2022 23:00:00 -0000

ros-noetic-cob-monitoring (0.6.27-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 11 Jan 2022 23:00:00 -0000

ros-noetic-cob-monitoring (0.6.26-1buster) buster; urgency=high

  * Merge pull request #307 <https://github.com/ipa320/cob_command_tools/issues/307> from floweisshardt/feature/emergency_monitor
    add topics for em released info
  * add topics for em released info
  * Merge pull request #306 <https://github.com/ipa320/cob_command_tools/issues/306> from fmessmer/fix_cob_monitoring
    fix cob_monitoring
  * add traceback to all cob_monitoring exceptions
  * fix string format
  * add exception traceback
  * Contributors: Felix Messmer, fmessmer, mailto:robot@mrk-4

 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 25 Nov 2021 23:00:00 -0000

ros-noetic-cob-monitoring (0.6.25-1buster) buster; urgency=high

  * Merge pull request #305 <https://github.com/ipa320/cob_command_tools/issues/305> from fmessmer/fix_deprecation
    fix deprecation warning
  * fix deprecation warning
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 01 Aug 2021 22:00:00 -0000

ros-noetic-cob-monitoring (0.6.24-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 01 Jul 2021 22:00:00 -0000

ros-noetic-cob-monitoring (0.6.23-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 30 Jun 2021 22:00:00 -0000

ros-noetic-cob-monitoring (0.6.22-1buster) buster; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 09 May 2021 22:00:00 -0000

ros-noetic-cob-monitoring (0.6.21-1buster) buster; urgency=high

  * Merge pull request #299 <https://github.com/ipa320/cob_command_tools/issues/299> from HannesBachter/fix/wlan_monitor
    Fix/wlan monitor
  * decode values before adding them
  * generically generate key value pairs from iwconfig output
  * handle unconnected WIFI
  * Merge pull request #297 <https://github.com/ipa320/cob_command_tools/issues/297> from fmessmer/fix/python3_decode
    python3 decode stdout
  * fix parse info
  * python3 decode bytes
  * python3 decode stdout
  * Contributors: Felix Messmer, HannesBachter, fmessmer, hyb, mailto:robot@cob4-12

 -- Felix Messmer <felixmessmer@gmail.com>  Mon, 05 Apr 2021 22:00:00 -0000

ros-noetic-cob-monitoring (0.6.20-1buster) buster; urgency=high

  * Merge pull request #295 <https://github.com/ipa320/cob_command_tools/issues/295> from fmessmer/cob_monitoring_comment_dependency_python-mechanize
    commenting dependency python3-mechanize
  * commenting dependency python3-mechanize
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 24 Jan 2021 23:00:00 -0000



=== debian/control ===
Source: ros-noetic-cob-monitoring
Section: misc
Priority: optional
Maintainer: Felix Messmer <felixmessmer@gmail.com>
Build-Depends: debhelper (>= 9.0.0), python3-setuptools, ros-noetic-catkin, ros-noetic-diagnostic-updater, ros-noetic-roscpp, ros-noetic-topic-tools
Homepage: http://ros.org/wiki/cob_monitoring
Standards-Version: 3.9.2

Package: ros-noetic-cob-monitoring
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ifstat, ipmitool, ntpdate, python3-packaging, python3-paramiko, python3-psutil, python3-requests, ros-noetic-actionlib, ros-noetic-cob-light, ros-noetic-cob-msgs, ros-noetic-cob-script-server, ros-noetic-diagnostic-msgs, ros-noetic-diagnostic-updater, ros-noetic-roscpp, ros-noetic-rospy, ros-noetic-rostopic, ros-noetic-sensor-msgs, ros-noetic-std-msgs, ros-noetic-topic-tools, sysstat
Description: cob_monitoring

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-cob-monitoring//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install

## ros-noetic-cob-monitoring 0.6.32

=== debian/changelog ===
ros-noetic-cob-monitoring (0.6.32-1focal) focal; urgency=high

  * Merge pull request #329 <https://github.com/ipa320/cob_command_tools/issues/329> from Deleh/fix/netdata_diagnostics_level
    Change NetData malformed data diagnostics level from ERROR to WARN
  * remove type hints
  * adjust string formatting syntax
  * move netdata communication to interface class
  * change netdata malformed data diagnostic level
  * Merge pull request #328 <https://github.com/ipa320/cob_command_tools/issues/328> from Deleh/feature/wlan_monitor_reconnect
    Reconnect if SSH session is inactive
  * finalize
  * add ssh_connection_state to diagnostics
  * reconnect if session is inactive
  * Contributors: Denis Lehmann, Felix Messmer, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 28 Apr 2023 22:00:00 -0000

ros-noetic-cob-monitoring (0.6.31-1focal) focal; urgency=high

  * Merge pull request #327 <https://github.com/ipa320/cob_command_tools/issues/327> from Deleh/fix/emergency_stop_monitor
    Collect only error and stale messages as errors
  * collect only error and stale messages as errors
  * Merge pull request #326 <https://github.com/ipa320/cob_command_tools/issues/326> from fmessmer/debug/netdata
    fix netdata queries
  * fix pylint
  * fix return types
  * harmonize Exception handling of cpu_monitor
  * raise error when netdata request failed; show failed chart names
  * include url in loginfo
  * Merge pull request #325 <https://github.com/ipa320/cob_command_tools/issues/325> from Deleh/fix/ntp_monitor
    Fix NTP monitor
  * decode stderr
  * Merge pull request #323 <https://github.com/ipa320/cob_command_tools/issues/323> from pgehring/fix/paramiko_login
    [kevin] disable unsupported algorithms of linksys router
  * fix pylint
  * paramiko version check
  * disable unsupported algorithms of linksys router
  * Contributors: Denis Lehmann, Felix Messmer, Florian Weisshardt, fmessmer, pgehring

 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 03 Jan 2023 23:00:00 -0000

ros-noetic-cob-monitoring (0.6.30-1focal) focal; urgency=high

  * Merge pull request #322 <https://github.com/ipa320/cob_command_tools/issues/322> from Deleh/fix/wlan_monitor_diagnostics
    Set diagnostic level to ERROR on exception
  * harmonization
  * set diagnostic level to ERROR on exception
  * Merge pull request #321 <https://github.com/ipa320/cob_command_tools/issues/321> from LoyVanBeek/fix/netdata_based_diagnostics
    Fix/netdata based diagnostics
  * Split CPU load diagnostics from uptime stats
  * Try both spellings of core temp module name
  * fixing crashed thread if netdata data was malformed and make netdata module name for core temps in api calls configurable
  * Contributors: Björn Eistel, Denis Lehmann, Felix Messmer, Loy van Beek, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 16 Nov 2022 23:00:00 -0000

ros-noetic-cob-monitoring (0.6.29-1focal) focal; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 28 Jul 2022 22:00:00 -0000

ros-noetic-cob-monitoring (0.6.28-1focal) focal; urgency=high

  * Merge pull request #314 <https://github.com/ipa320/cob_command_tools/issues/314> from pgehring/feature/netdata_cpu_monitor
    [diagnostics] aquire all cpu data from netdata
  * compatible format
  * expose netdata_tools errors in diagnostics
  * remove ipmi data aquisition
  * check max clock speed
  * parse netdata dict correctly
  * fix typo
  * pass interval to netdata
  * fix strings in diag_vals
  * parse netdata uptime
  * parse netdata mem and swap util
  * parse netdata cpu_util
  * convert to int
  * fix wrong keyword
  * fix timer interval usage
  * cleanup
  * use cores detected by netdata
  * get memory and swap usage from netdata
  * handle empty netdata reponse correctly
  * fix pylint
  * proper python module for netdata_tools
  * wip
  * move netdata functions to module
  * get core temperature from netdata
  * check cpu utilisation with netdata
  * Contributors: Felix Messmer, fmessmer, pgehring

 -- Felix Messmer <felixmessmer@gmail.com>  Mon, 14 Mar 2022 23:00:00 -0000

ros-noetic-cob-monitoring (0.6.27-1focal) focal; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 11 Jan 2022 23:00:00 -0000

ros-noetic-cob-monitoring (0.6.26-1focal) focal; urgency=high

  * Merge pull request #307 <https://github.com/ipa320/cob_command_tools/issues/307> from floweisshardt/feature/emergency_monitor
    add topics for em released info
  * add topics for em released info
  * Merge pull request #306 <https://github.com/ipa320/cob_command_tools/issues/306> from fmessmer/fix_cob_monitoring
    fix cob_monitoring
  * add traceback to all cob_monitoring exceptions
  * fix string format
  * add exception traceback
  * Contributors: Felix Messmer, fmessmer, mailto:robot@mrk-4

 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 25 Nov 2021 23:00:00 -0000

ros-noetic-cob-monitoring (0.6.25-1focal) focal; urgency=high

  * Merge pull request #305 <https://github.com/ipa320/cob_command_tools/issues/305> from fmessmer/fix_deprecation
    fix deprecation warning
  * fix deprecation warning
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 01 Aug 2021 22:00:00 -0000

ros-noetic-cob-monitoring (0.6.24-1focal) focal; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 01 Jul 2021 22:00:00 -0000

ros-noetic-cob-monitoring (0.6.23-1focal) focal; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 30 Jun 2021 22:00:00 -0000

ros-noetic-cob-monitoring (0.6.22-1focal) focal; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 09 May 2021 22:00:00 -0000

ros-noetic-cob-monitoring (0.6.21-1focal) focal; urgency=high

  * Merge pull request #299 <https://github.com/ipa320/cob_command_tools/issues/299> from HannesBachter/fix/wlan_monitor
    Fix/wlan monitor
  * decode values before adding them
  * generically generate key value pairs from iwconfig output
  * handle unconnected WIFI
